#!/bin/bash

# Copyright (C) 2016, 2017, 2018, 2019  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:string-unicode5
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L string-unicode5.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --escape-utf8 "$@"; }
$ echo '\''"\u0080"'\''|json -b 1
"\u0080"
$ echo '\''"\u0080"'\''|json -b 2
"\u0080"
$ echo '\''"\u0080"'\''|json -b 3
"\u0080"
$ echo '\''"\u0080"'\''|json -b 4
"\u0080"
$ echo '\''"\u0080"'\''|json -b 5
"\u0080"
$ echo '\''"\u0080"'\''|json -b 6
"\u0080"
$ echo '\''"\u0080"'\''|json -b 7
"\u0080"
$ echo '\''"\u0080"'\''|json -b 8
"\u0080"
$ echo '\''"\u0081"'\''|json -b 1
"\u0081"
$ echo '\''"\u0081"'\''|json -b 2
"\u0081"
$ echo '\''"\u0081"'\''|json -b 3
"\u0081"
$ echo '\''"\u0081"'\''|json -b 4
"\u0081"
$ echo '\''"\u0081"'\''|json -b 5
"\u0081"
$ echo '\''"\u0081"'\''|json -b 6
"\u0081"
$ echo '\''"\u0081"'\''|json -b 7
"\u0081"
$ echo '\''"\u0081"'\''|json -b 8
"\u0081"
$ echo '\''"\u0082"'\''|json -b 1
"\u0082"
$ echo '\''"\u0082"'\''|json -b 2
"\u0082"
$ echo '\''"\u0082"'\''|json -b 3
"\u0082"
$ echo '\''"\u0082"'\''|json -b 4
"\u0082"
$ echo '\''"\u0082"'\''|json -b 5
"\u0082"
$ echo '\''"\u0082"'\''|json -b 6
"\u0082"
$ echo '\''"\u0082"'\''|json -b 7
"\u0082"
$ echo '\''"\u0082"'\''|json -b 8
"\u0082"
$ echo '\''"\u0083"'\''|json -b 1
"\u0083"
$ echo '\''"\u0083"'\''|json -b 2
"\u0083"
$ echo '\''"\u0083"'\''|json -b 3
"\u0083"
$ echo '\''"\u0083"'\''|json -b 4
"\u0083"
$ echo '\''"\u0083"'\''|json -b 5
"\u0083"
$ echo '\''"\u0083"'\''|json -b 6
"\u0083"
$ echo '\''"\u0083"'\''|json -b 7
"\u0083"
$ echo '\''"\u0083"'\''|json -b 8
"\u0083"
$ echo '\''"\u0084"'\''|json -b 1
"\u0084"
$ echo '\''"\u0084"'\''|json -b 2
"\u0084"
$ echo '\''"\u0084"'\''|json -b 3
"\u0084"
$ echo '\''"\u0084"'\''|json -b 4
"\u0084"
$ echo '\''"\u0084"'\''|json -b 5
"\u0084"
$ echo '\''"\u0084"'\''|json -b 6
"\u0084"
$ echo '\''"\u0084"'\''|json -b 7
"\u0084"
$ echo '\''"\u0084"'\''|json -b 8
"\u0084"
$ echo '\''"\u0085"'\''|json -b 1
"\u0085"
$ echo '\''"\u0085"'\''|json -b 2
"\u0085"
$ echo '\''"\u0085"'\''|json -b 3
"\u0085"
$ echo '\''"\u0085"'\''|json -b 4
"\u0085"
$ echo '\''"\u0085"'\''|json -b 5
"\u0085"
$ echo '\''"\u0085"'\''|json -b 6
"\u0085"
$ echo '\''"\u0085"'\''|json -b 7
"\u0085"
$ echo '\''"\u0085"'\''|json -b 8
"\u0085"
$ echo '\''"\u0086"'\''|json -b 1
"\u0086"
$ echo '\''"\u0086"'\''|json -b 2
"\u0086"
$ echo '\''"\u0086"'\''|json -b 3
"\u0086"
$ echo '\''"\u0086"'\''|json -b 4
"\u0086"
$ echo '\''"\u0086"'\''|json -b 5
"\u0086"
$ echo '\''"\u0086"'\''|json -b 6
"\u0086"
$ echo '\''"\u0086"'\''|json -b 7
"\u0086"
$ echo '\''"\u0086"'\''|json -b 8
"\u0086"
$ echo '\''"\u0087"'\''|json -b 1
"\u0087"
$ echo '\''"\u0087"'\''|json -b 2
"\u0087"
$ echo '\''"\u0087"'\''|json -b 3
"\u0087"
$ echo '\''"\u0087"'\''|json -b 4
"\u0087"
$ echo '\''"\u0087"'\''|json -b 5
"\u0087"
$ echo '\''"\u0087"'\''|json -b 6
"\u0087"
$ echo '\''"\u0087"'\''|json -b 7
"\u0087"
$ echo '\''"\u0087"'\''|json -b 8
"\u0087"
$ echo '\''"\u0088"'\''|json -b 1
"\u0088"
$ echo '\''"\u0088"'\''|json -b 2
"\u0088"
$ echo '\''"\u0088"'\''|json -b 3
"\u0088"
$ echo '\''"\u0088"'\''|json -b 4
"\u0088"
$ echo '\''"\u0088"'\''|json -b 5
"\u0088"
$ echo '\''"\u0088"'\''|json -b 6
"\u0088"
$ echo '\''"\u0088"'\''|json -b 7
"\u0088"
$ echo '\''"\u0088"'\''|json -b 8
"\u0088"
$ echo '\''"\u0089"'\''|json -b 1
"\u0089"
$ echo '\''"\u0089"'\''|json -b 2
"\u0089"
$ echo '\''"\u0089"'\''|json -b 3
"\u0089"
$ echo '\''"\u0089"'\''|json -b 4
"\u0089"
$ echo '\''"\u0089"'\''|json -b 5
"\u0089"
$ echo '\''"\u0089"'\''|json -b 6
"\u0089"
$ echo '\''"\u0089"'\''|json -b 7
"\u0089"
$ echo '\''"\u0089"'\''|json -b 8
"\u0089"
$ echo '\''"\u008a"'\''|json -b 1
"\u008a"
$ echo '\''"\u008a"'\''|json -b 2
"\u008a"
$ echo '\''"\u008a"'\''|json -b 3
"\u008a"
$ echo '\''"\u008a"'\''|json -b 4
"\u008a"
$ echo '\''"\u008a"'\''|json -b 5
"\u008a"
$ echo '\''"\u008a"'\''|json -b 6
"\u008a"
$ echo '\''"\u008a"'\''|json -b 7
"\u008a"
$ echo '\''"\u008a"'\''|json -b 8
"\u008a"
$ echo '\''"\u008b"'\''|json -b 1
"\u008b"
$ echo '\''"\u008b"'\''|json -b 2
"\u008b"
$ echo '\''"\u008b"'\''|json -b 3
"\u008b"
$ echo '\''"\u008b"'\''|json -b 4
"\u008b"
$ echo '\''"\u008b"'\''|json -b 5
"\u008b"
$ echo '\''"\u008b"'\''|json -b 6
"\u008b"
$ echo '\''"\u008b"'\''|json -b 7
"\u008b"
$ echo '\''"\u008b"'\''|json -b 8
"\u008b"
$ echo '\''"\u008c"'\''|json -b 1
"\u008c"
$ echo '\''"\u008c"'\''|json -b 2
"\u008c"
$ echo '\''"\u008c"'\''|json -b 3
"\u008c"
$ echo '\''"\u008c"'\''|json -b 4
"\u008c"
$ echo '\''"\u008c"'\''|json -b 5
"\u008c"
$ echo '\''"\u008c"'\''|json -b 6
"\u008c"
$ echo '\''"\u008c"'\''|json -b 7
"\u008c"
$ echo '\''"\u008c"'\''|json -b 8
"\u008c"
$ echo '\''"\u008d"'\''|json -b 1
"\u008d"
$ echo '\''"\u008d"'\''|json -b 2
"\u008d"
$ echo '\''"\u008d"'\''|json -b 3
"\u008d"
$ echo '\''"\u008d"'\''|json -b 4
"\u008d"
$ echo '\''"\u008d"'\''|json -b 5
"\u008d"
$ echo '\''"\u008d"'\''|json -b 6
"\u008d"
$ echo '\''"\u008d"'\''|json -b 7
"\u008d"
$ echo '\''"\u008d"'\''|json -b 8
"\u008d"
$ echo '\''"\u008e"'\''|json -b 1
"\u008e"
$ echo '\''"\u008e"'\''|json -b 2
"\u008e"
$ echo '\''"\u008e"'\''|json -b 3
"\u008e"
$ echo '\''"\u008e"'\''|json -b 4
"\u008e"
$ echo '\''"\u008e"'\''|json -b 5
"\u008e"
$ echo '\''"\u008e"'\''|json -b 6
"\u008e"
$ echo '\''"\u008e"'\''|json -b 7
"\u008e"
$ echo '\''"\u008e"'\''|json -b 8
"\u008e"
$ echo '\''"\u008f"'\''|json -b 1
"\u008f"
$ echo '\''"\u008f"'\''|json -b 2
"\u008f"
$ echo '\''"\u008f"'\''|json -b 3
"\u008f"
$ echo '\''"\u008f"'\''|json -b 4
"\u008f"
$ echo '\''"\u008f"'\''|json -b 5
"\u008f"
$ echo '\''"\u008f"'\''|json -b 6
"\u008f"
$ echo '\''"\u008f"'\''|json -b 7
"\u008f"
$ echo '\''"\u008f"'\''|json -b 8
"\u008f"'
) -L string-unicode5.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --escape-utf8 "$@"; }'
json() { json0 --literal-value --escape-utf8 "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --escape-utf8 "$@"; }'

echo '$ echo '\''"\u0080"'\''|json -b 1'
echo '"\u0080"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 1'

echo '$ echo '\''"\u0080"'\''|json -b 2'
echo '"\u0080"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 2'

echo '$ echo '\''"\u0080"'\''|json -b 3'
echo '"\u0080"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 3'

echo '$ echo '\''"\u0080"'\''|json -b 4'
echo '"\u0080"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 4'

echo '$ echo '\''"\u0080"'\''|json -b 5'
echo '"\u0080"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 5'

echo '$ echo '\''"\u0080"'\''|json -b 6'
echo '"\u0080"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 6'

echo '$ echo '\''"\u0080"'\''|json -b 7'
echo '"\u0080"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 7'

echo '$ echo '\''"\u0080"'\''|json -b 8'
echo '"\u0080"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0080"'\''|json -b 8'

echo '$ echo '\''"\u0081"'\''|json -b 1'
echo '"\u0081"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 1'

echo '$ echo '\''"\u0081"'\''|json -b 2'
echo '"\u0081"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 2'

echo '$ echo '\''"\u0081"'\''|json -b 3'
echo '"\u0081"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 3'

echo '$ echo '\''"\u0081"'\''|json -b 4'
echo '"\u0081"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 4'

echo '$ echo '\''"\u0081"'\''|json -b 5'
echo '"\u0081"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 5'

echo '$ echo '\''"\u0081"'\''|json -b 6'
echo '"\u0081"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 6'

echo '$ echo '\''"\u0081"'\''|json -b 7'
echo '"\u0081"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 7'

echo '$ echo '\''"\u0081"'\''|json -b 8'
echo '"\u0081"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0081"'\''|json -b 8'

echo '$ echo '\''"\u0082"'\''|json -b 1'
echo '"\u0082"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 1'

echo '$ echo '\''"\u0082"'\''|json -b 2'
echo '"\u0082"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 2'

echo '$ echo '\''"\u0082"'\''|json -b 3'
echo '"\u0082"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 3'

echo '$ echo '\''"\u0082"'\''|json -b 4'
echo '"\u0082"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 4'

echo '$ echo '\''"\u0082"'\''|json -b 5'
echo '"\u0082"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 5'

echo '$ echo '\''"\u0082"'\''|json -b 6'
echo '"\u0082"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 6'

echo '$ echo '\''"\u0082"'\''|json -b 7'
echo '"\u0082"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 7'

echo '$ echo '\''"\u0082"'\''|json -b 8'
echo '"\u0082"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0082"'\''|json -b 8'

echo '$ echo '\''"\u0083"'\''|json -b 1'
echo '"\u0083"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 1'

echo '$ echo '\''"\u0083"'\''|json -b 2'
echo '"\u0083"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 2'

echo '$ echo '\''"\u0083"'\''|json -b 3'
echo '"\u0083"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 3'

echo '$ echo '\''"\u0083"'\''|json -b 4'
echo '"\u0083"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 4'

echo '$ echo '\''"\u0083"'\''|json -b 5'
echo '"\u0083"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 5'

echo '$ echo '\''"\u0083"'\''|json -b 6'
echo '"\u0083"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 6'

echo '$ echo '\''"\u0083"'\''|json -b 7'
echo '"\u0083"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 7'

echo '$ echo '\''"\u0083"'\''|json -b 8'
echo '"\u0083"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0083"'\''|json -b 8'

echo '$ echo '\''"\u0084"'\''|json -b 1'
echo '"\u0084"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 1'

echo '$ echo '\''"\u0084"'\''|json -b 2'
echo '"\u0084"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 2'

echo '$ echo '\''"\u0084"'\''|json -b 3'
echo '"\u0084"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 3'

echo '$ echo '\''"\u0084"'\''|json -b 4'
echo '"\u0084"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 4'

echo '$ echo '\''"\u0084"'\''|json -b 5'
echo '"\u0084"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 5'

echo '$ echo '\''"\u0084"'\''|json -b 6'
echo '"\u0084"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 6'

echo '$ echo '\''"\u0084"'\''|json -b 7'
echo '"\u0084"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 7'

echo '$ echo '\''"\u0084"'\''|json -b 8'
echo '"\u0084"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0084"'\''|json -b 8'

echo '$ echo '\''"\u0085"'\''|json -b 1'
echo '"\u0085"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 1'

echo '$ echo '\''"\u0085"'\''|json -b 2'
echo '"\u0085"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 2'

echo '$ echo '\''"\u0085"'\''|json -b 3'
echo '"\u0085"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 3'

echo '$ echo '\''"\u0085"'\''|json -b 4'
echo '"\u0085"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 4'

echo '$ echo '\''"\u0085"'\''|json -b 5'
echo '"\u0085"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 5'

echo '$ echo '\''"\u0085"'\''|json -b 6'
echo '"\u0085"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 6'

echo '$ echo '\''"\u0085"'\''|json -b 7'
echo '"\u0085"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 7'

echo '$ echo '\''"\u0085"'\''|json -b 8'
echo '"\u0085"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0085"'\''|json -b 8'

echo '$ echo '\''"\u0086"'\''|json -b 1'
echo '"\u0086"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 1'

echo '$ echo '\''"\u0086"'\''|json -b 2'
echo '"\u0086"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 2'

echo '$ echo '\''"\u0086"'\''|json -b 3'
echo '"\u0086"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 3'

echo '$ echo '\''"\u0086"'\''|json -b 4'
echo '"\u0086"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 4'

echo '$ echo '\''"\u0086"'\''|json -b 5'
echo '"\u0086"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 5'

echo '$ echo '\''"\u0086"'\''|json -b 6'
echo '"\u0086"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 6'

echo '$ echo '\''"\u0086"'\''|json -b 7'
echo '"\u0086"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 7'

echo '$ echo '\''"\u0086"'\''|json -b 8'
echo '"\u0086"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0086"'\''|json -b 8'

echo '$ echo '\''"\u0087"'\''|json -b 1'
echo '"\u0087"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 1'

echo '$ echo '\''"\u0087"'\''|json -b 2'
echo '"\u0087"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 2'

echo '$ echo '\''"\u0087"'\''|json -b 3'
echo '"\u0087"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 3'

echo '$ echo '\''"\u0087"'\''|json -b 4'
echo '"\u0087"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 4'

echo '$ echo '\''"\u0087"'\''|json -b 5'
echo '"\u0087"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 5'

echo '$ echo '\''"\u0087"'\''|json -b 6'
echo '"\u0087"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 6'

echo '$ echo '\''"\u0087"'\''|json -b 7'
echo '"\u0087"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 7'

echo '$ echo '\''"\u0087"'\''|json -b 8'
echo '"\u0087"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0087"'\''|json -b 8'

echo '$ echo '\''"\u0088"'\''|json -b 1'
echo '"\u0088"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 1'

echo '$ echo '\''"\u0088"'\''|json -b 2'
echo '"\u0088"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 2'

echo '$ echo '\''"\u0088"'\''|json -b 3'
echo '"\u0088"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 3'

echo '$ echo '\''"\u0088"'\''|json -b 4'
echo '"\u0088"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 4'

echo '$ echo '\''"\u0088"'\''|json -b 5'
echo '"\u0088"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 5'

echo '$ echo '\''"\u0088"'\''|json -b 6'
echo '"\u0088"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 6'

echo '$ echo '\''"\u0088"'\''|json -b 7'
echo '"\u0088"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 7'

echo '$ echo '\''"\u0088"'\''|json -b 8'
echo '"\u0088"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0088"'\''|json -b 8'

echo '$ echo '\''"\u0089"'\''|json -b 1'
echo '"\u0089"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 1'

echo '$ echo '\''"\u0089"'\''|json -b 2'
echo '"\u0089"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 2'

echo '$ echo '\''"\u0089"'\''|json -b 3'
echo '"\u0089"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 3'

echo '$ echo '\''"\u0089"'\''|json -b 4'
echo '"\u0089"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 4'

echo '$ echo '\''"\u0089"'\''|json -b 5'
echo '"\u0089"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 5'

echo '$ echo '\''"\u0089"'\''|json -b 6'
echo '"\u0089"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 6'

echo '$ echo '\''"\u0089"'\''|json -b 7'
echo '"\u0089"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 7'

echo '$ echo '\''"\u0089"'\''|json -b 8'
echo '"\u0089"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u0089"'\''|json -b 8'

echo '$ echo '\''"\u008a"'\''|json -b 1'
echo '"\u008a"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 1'

echo '$ echo '\''"\u008a"'\''|json -b 2'
echo '"\u008a"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 2'

echo '$ echo '\''"\u008a"'\''|json -b 3'
echo '"\u008a"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 3'

echo '$ echo '\''"\u008a"'\''|json -b 4'
echo '"\u008a"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 4'

echo '$ echo '\''"\u008a"'\''|json -b 5'
echo '"\u008a"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 5'

echo '$ echo '\''"\u008a"'\''|json -b 6'
echo '"\u008a"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 6'

echo '$ echo '\''"\u008a"'\''|json -b 7'
echo '"\u008a"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 7'

echo '$ echo '\''"\u008a"'\''|json -b 8'
echo '"\u008a"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u008a"'\''|json -b 8'

echo '$ echo '\''"\u008b"'\''|json -b 1'
echo '"\u008b"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 1'

echo '$ echo '\''"\u008b"'\''|json -b 2'
echo '"\u008b"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 2'

echo '$ echo '\''"\u008b"'\''|json -b 3'
echo '"\u008b"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 3'

echo '$ echo '\''"\u008b"'\''|json -b 4'
echo '"\u008b"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 4'

echo '$ echo '\''"\u008b"'\''|json -b 5'
echo '"\u008b"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 5'

echo '$ echo '\''"\u008b"'\''|json -b 6'
echo '"\u008b"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 6'

echo '$ echo '\''"\u008b"'\''|json -b 7'
echo '"\u008b"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 7'

echo '$ echo '\''"\u008b"'\''|json -b 8'
echo '"\u008b"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u008b"'\''|json -b 8'

echo '$ echo '\''"\u008c"'\''|json -b 1'
echo '"\u008c"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 1'

echo '$ echo '\''"\u008c"'\''|json -b 2'
echo '"\u008c"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 2'

echo '$ echo '\''"\u008c"'\''|json -b 3'
echo '"\u008c"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 3'

echo '$ echo '\''"\u008c"'\''|json -b 4'
echo '"\u008c"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 4'

echo '$ echo '\''"\u008c"'\''|json -b 5'
echo '"\u008c"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 5'

echo '$ echo '\''"\u008c"'\''|json -b 6'
echo '"\u008c"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 6'

echo '$ echo '\''"\u008c"'\''|json -b 7'
echo '"\u008c"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 7'

echo '$ echo '\''"\u008c"'\''|json -b 8'
echo '"\u008c"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u008c"'\''|json -b 8'

echo '$ echo '\''"\u008d"'\''|json -b 1'
echo '"\u008d"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 1'

echo '$ echo '\''"\u008d"'\''|json -b 2'
echo '"\u008d"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 2'

echo '$ echo '\''"\u008d"'\''|json -b 3'
echo '"\u008d"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 3'

echo '$ echo '\''"\u008d"'\''|json -b 4'
echo '"\u008d"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 4'

echo '$ echo '\''"\u008d"'\''|json -b 5'
echo '"\u008d"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 5'

echo '$ echo '\''"\u008d"'\''|json -b 6'
echo '"\u008d"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 6'

echo '$ echo '\''"\u008d"'\''|json -b 7'
echo '"\u008d"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 7'

echo '$ echo '\''"\u008d"'\''|json -b 8'
echo '"\u008d"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u008d"'\''|json -b 8'

echo '$ echo '\''"\u008e"'\''|json -b 1'
echo '"\u008e"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 1'

echo '$ echo '\''"\u008e"'\''|json -b 2'
echo '"\u008e"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 2'

echo '$ echo '\''"\u008e"'\''|json -b 3'
echo '"\u008e"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 3'

echo '$ echo '\''"\u008e"'\''|json -b 4'
echo '"\u008e"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 4'

echo '$ echo '\''"\u008e"'\''|json -b 5'
echo '"\u008e"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 5'

echo '$ echo '\''"\u008e"'\''|json -b 6'
echo '"\u008e"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 6'

echo '$ echo '\''"\u008e"'\''|json -b 7'
echo '"\u008e"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 7'

echo '$ echo '\''"\u008e"'\''|json -b 8'
echo '"\u008e"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u008e"'\''|json -b 8'

echo '$ echo '\''"\u008f"'\''|json -b 1'
echo '"\u008f"'|json -b 1 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 1'

echo '$ echo '\''"\u008f"'\''|json -b 2'
echo '"\u008f"'|json -b 2 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 2'

echo '$ echo '\''"\u008f"'\''|json -b 3'
echo '"\u008f"'|json -b 3 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 3'

echo '$ echo '\''"\u008f"'\''|json -b 4'
echo '"\u008f"'|json -b 4 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 4'

echo '$ echo '\''"\u008f"'\''|json -b 5'
echo '"\u008f"'|json -b 5 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 5'

echo '$ echo '\''"\u008f"'\''|json -b 6'
echo '"\u008f"'|json -b 6 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 6'

echo '$ echo '\''"\u008f"'\''|json -b 7'
echo '"\u008f"'|json -b 7 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 7'

echo '$ echo '\''"\u008f"'\''|json -b 8'
echo '"\u008f"'|json -b 8 2>&1 ||
echo 'command failed: echo '\''"\u008f"'\''|json -b 8'
)

