#!/bin/bash

# Copyright (C) 2016, 2017, 2018, 2019  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -p litex -w27 -G expr-flat
#

w=27
c=""
q=""

if [[ "$1" =~ ^-w[1-9][0-9]*$ ]]; then
    w="${1:2}"
    shift
fi
if [ "$1" == "-c" ]; then
    c="c"
    shift
fi
if [ "$1" == "-q" ]; then
    q="q"
fi

p=0
f=0

for t in \
    basic \
    rex-opt1 \
    rex-opt2 \
    rex-opt3 \
    op1 \
    op2 \
    op3 \
    op4 \
    op5 \
    op6 \
    op7 \
    op8 \
    op9 \
    op10 \
    op11 \
    op12 \
    op13 \
    op14 \
    op15 \
    op16 \
    op17 \
    op18 \
    op19 \
    op20 \
    op21 \
    op22 \
    op23 \
    op24 \
    null-char \
    null-char2 \
    reverse-cmp \
    builtins \
    jumps \
    jumps2 \
    jumps3 \
    jumps4
do
    test -z "$q" &&
    printf >&2 "%-$((w + 6))s " "test: litex-expr-flat:$t"
    if ! litex-expr-flat/test-$t.sh &>/dev/null; then
        (( f ++ ))

        test -n "$q" &&
        echo >&2 -n "test: litex-expr-flat:$t "
        echo >&2 failed
    else
        (( p ++ ))

        test -z "$q" &&
        echo >&2 OK
    fi
done

if [ -z "$c" ]; then
    [ -z "$q" -o "$f" -gt 0 ] &&
    echo >&2
    echo "tests passed: $p"
    echo "tests failed: $f"
else
    echo "$p"
    echo "$f"
fi

exit $(( f != 0 ))

