#!/bin/bash

# Copyright (C) 2016, 2017, 2018, 2019  Stefan Vargyas
# 
# This file is part of Json-Type.
# 
# Json-Type is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Json-Type is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Json-Type.  If not, see <http://www.gnu.org/licenses/>.

#
# File generated by a command like:
# $ json-gentest -C parser:raw-string4
#

[[ "$1" =~ ^-u[0-9]+$ ]] &&
u="${1:2}" ||
u=""

diff -u$u -L raw-string4.old <(echo \
'$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }
$ json() { json0 --literal-value --raw-strings "$@"; }
$ echo -n '\''r"()"'\''|json -b1
r"()"
$ echo -n '\''r"()"'\''|json -b2
r"()"
$ echo -n '\''r"()"'\''|json -b3
r"()"
$ echo -n '\''r"()"'\''|json -b4
r"()"
$ echo -n '\''r"()"'\''|json -b5
r"()"
$ echo -n '\''r"0()0"'\''|json -b1
r"0()0"
$ echo -n '\''r"0()0"'\''|json -b2
r"0()0"
$ echo -n '\''r"0()0"'\''|json -b3
r"0()0"
$ echo -n '\''r"0()0"'\''|json -b4
r"0()0"
$ echo -n '\''r"0()0"'\''|json -b5
r"0()0"
$ echo -n '\''r"0()0"'\''|json -b6
r"0()0"
$ echo -n '\''r"0()0"'\''|json -b7
r"0()0"
$ echo -n '\''r"01()01"'\''|json -b1
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b2
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b3
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b4
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b5
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b6
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b7
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b8
r"01()01"
$ echo -n '\''r"01()01"'\''|json -b9
r"01()01"
$ echo -n '\''r"012()012"'\''|json -b1
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b2
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b3
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b4
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b5
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b6
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b7
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b8
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b9
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b10
r"012()012"
$ echo -n '\''r"012()012"'\''|json -b11
r"012()012"
$ echo -n '\''r"0123()0123"'\''|json -b1
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b2
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b3
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b4
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b5
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b6
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b7
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b8
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b9
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b10
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b11
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b12
r"0123()0123"
$ echo -n '\''r"0123()0123"'\''|json -b13
r"0123()0123"
$ echo -n '\''r"01234()01234"'\''|json -b1
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b2
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b3
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b4
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b5
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b6
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b7
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b8
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b9
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b10
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b11
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b12
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b13
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b14
r"01234()01234"
$ echo -n '\''r"01234()01234"'\''|json -b15
r"01234()01234"
$ echo -n '\''r"012345()012345"'\''|json -b1
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b2
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b3
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b4
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b5
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b6
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b7
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b8
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b9
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b10
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b11
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b12
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b13
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b14
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b15
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b16
r"012345()012345"
$ echo -n '\''r"012345()012345"'\''|json -b17
r"012345()012345"
$ echo -n '\''r"0123456()0123456"'\''|json -b1
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b2
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b3
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b4
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b5
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b6
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b7
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b8
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b9
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b10
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b11
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b12
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b13
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b14
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b15
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b16
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b17
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b18
r"0123456()0123456"
$ echo -n '\''r"0123456()0123456"'\''|json -b19
r"0123456()0123456"
$ echo -n '\''r"01234567()01234567"'\''|json -b1
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b2
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b3
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b4
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b5
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b6
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b7
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b8
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b9
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b10
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b11
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b12
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b13
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b14
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b15
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b16
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b17
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b18
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b19
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b20
r"01234567()01234567"
$ echo -n '\''r"01234567()01234567"'\''|json -b21
r"01234567()01234567"
$ echo -n '\''r"012345678()012345678"'\''|json -b1
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b2
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b3
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b4
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b5
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b6
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b7
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b8
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b9
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b10
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b11
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b12
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b13
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b14
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b15
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b16
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b17
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b18
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b19
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b20
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b21
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b22
r"012345678()012345678"
$ echo -n '\''r"012345678()012345678"'\''|json -b23
r"012345678()012345678"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b1
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b2
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b3
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b4
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b5
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b6
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b7
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b8
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b9
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b10
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b11
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b12
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b13
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b14
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b15
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b16
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b17
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b18
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b19
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b20
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b21
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b22
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b23
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b24
r"0123456789()0123456789"
$ echo -n '\''r"0123456789()0123456789"'\''|json -b25
r"0123456789()0123456789"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b1
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b2
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b3
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b4
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b5
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b6
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b7
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b8
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b9
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b10
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b11
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b12
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b13
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b14
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b15
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b16
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b17
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b18
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b19
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b20
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b21
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b22
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b23
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b24
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b25
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b26
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b27
r"0123456789a()0123456789a"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b1
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b2
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b3
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b4
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b5
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b6
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b7
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b8
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b9
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b10
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b11
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b12
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b13
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b14
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b15
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b16
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b17
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b18
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b19
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b20
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b21
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b22
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b23
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b24
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b25
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b26
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b27
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b28
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b29
r"0123456789ab()0123456789ab"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b1
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b2
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b3
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b4
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b5
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b6
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b7
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b8
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b9
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b10
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b11
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b12
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b13
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b14
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b15
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b16
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b17
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b18
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b19
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b20
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b21
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b22
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b23
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b24
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b25
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b26
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b27
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b28
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b29
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b30
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b31
r"0123456789abc()0123456789abc"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b1
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b2
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b3
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b4
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b5
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b6
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b7
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b8
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b9
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b10
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b11
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b12
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b13
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b14
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b15
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b16
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b17
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b18
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b19
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b20
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b21
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b22
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b23
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b24
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b25
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b26
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b27
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b28
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b29
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b30
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b31
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b32
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b33
r"0123456789abcd()0123456789abcd"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b1
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b2
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b3
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b4
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b5
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b6
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b7
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b8
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b9
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b10
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b11
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b12
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b13
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b14
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b15
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b16
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b17
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b18
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b19
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b20
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b21
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b22
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b23
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b24
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b25
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b26
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b27
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b28
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b29
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b30
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b31
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b32
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b33
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b34
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b35
r"0123456789abcde()0123456789abcde"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b1
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b2
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b3
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b4
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b5
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b6
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b7
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b8
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b9
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b10
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b11
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b12
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b13
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b14
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b15
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b16
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b17
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b18
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b19
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b20
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b21
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b22
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b23
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b24
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b25
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b26
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b27
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b28
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b29
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b30
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b31
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b32
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b33
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b34
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b35
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b36
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b37
r"0123456789abcdef()0123456789abcdef"
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b1
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b1
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b2
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b2
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b3
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b3
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b4
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b4
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b5
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b5
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b6
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b6
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b7
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b7
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b8
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b8
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b9
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b9
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b10
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b10
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b11
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b11
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b12
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b12
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b13
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b13
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b14
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b14
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b15
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b15
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b16
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b16
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b17
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b17
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b18
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b18
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b19
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b19
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b20
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b20
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b21
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b21
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b22
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b22
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b23
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b23
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b24
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b24
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b25
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b25
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b26
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b26
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b27
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b27
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b28
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b28
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b29
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b29
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b30
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b30
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b31
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b31
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b32
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b32
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b33
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b33
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b34
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b34
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b35
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b35
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b36
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b36
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b37
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b37
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b38
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b38
$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b39
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg()0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b39
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b1
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b1
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b2
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b2
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b3
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b3
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b4
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b4
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b5
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b5
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b6
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b6
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b7
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b7
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b8
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b8
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b9
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b9
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b10
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b10
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b11
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b11
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b12
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b12
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b13
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b13
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b14
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b14
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b15
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b15
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b16
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b16
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b17
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b17
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b18
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b18
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b19
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b19
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b20
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b20
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b21
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b21
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b22
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b22
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b23
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b23
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b24
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b24
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b25
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b25
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b26
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b26
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b27
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b27
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b28
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b28
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b29
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b29
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b30
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b30
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b31
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b31
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b32
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b32
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b33
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b33
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b34
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b34
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b35
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b35
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b36
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b36
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b37
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b37
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b38
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b38
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b39
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b39
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b40
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b40
$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b41
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh()0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b41
$ echo -n '\''r"(foo)"'\''|json -b1
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b2
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b3
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b4
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b5
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b6
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b7
r"(foo)"
$ echo -n '\''r"(foo)"'\''|json -b8
r"(foo)"
$ echo -n '\''r"0(foo)0"'\''|json -b1
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b2
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b3
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b4
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b5
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b6
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b7
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b8
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b9
r"0(foo)0"
$ echo -n '\''r"0(foo)0"'\''|json -b10
r"0(foo)0"
$ echo -n '\''r"01(foo)01"'\''|json -b1
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b2
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b3
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b4
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b5
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b6
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b7
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b8
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b9
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b10
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b11
r"01(foo)01"
$ echo -n '\''r"01(foo)01"'\''|json -b12
r"01(foo)01"
$ echo -n '\''r"012(foo)012"'\''|json -b1
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b2
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b3
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b4
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b5
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b6
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b7
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b8
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b9
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b10
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b11
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b12
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b13
r"012(foo)012"
$ echo -n '\''r"012(foo)012"'\''|json -b14
r"012(foo)012"
$ echo -n '\''r"0123(foo)0123"'\''|json -b1
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b2
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b3
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b4
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b5
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b6
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b7
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b8
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b9
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b10
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b11
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b12
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b13
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b14
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b15
r"0123(foo)0123"
$ echo -n '\''r"0123(foo)0123"'\''|json -b16
r"0123(foo)0123"
$ echo -n '\''r"01234(foo)01234"'\''|json -b1
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b2
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b3
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b4
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b5
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b6
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b7
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b8
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b9
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b10
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b11
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b12
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b13
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b14
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b15
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b16
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b17
r"01234(foo)01234"
$ echo -n '\''r"01234(foo)01234"'\''|json -b18
r"01234(foo)01234"
$ echo -n '\''r"012345(foo)012345"'\''|json -b1
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b2
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b3
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b4
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b5
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b6
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b7
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b8
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b9
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b10
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b11
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b12
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b13
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b14
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b15
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b16
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b17
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b18
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b19
r"012345(foo)012345"
$ echo -n '\''r"012345(foo)012345"'\''|json -b20
r"012345(foo)012345"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b1
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b2
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b3
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b4
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b5
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b6
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b7
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b8
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b9
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b10
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b11
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b12
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b13
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b14
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b15
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b16
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b17
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b18
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b19
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b20
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b21
r"0123456(foo)0123456"
$ echo -n '\''r"0123456(foo)0123456"'\''|json -b22
r"0123456(foo)0123456"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b1
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b2
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b3
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b4
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b5
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b6
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b7
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b8
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b9
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b10
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b11
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b12
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b13
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b14
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b15
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b16
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b17
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b18
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b19
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b20
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b21
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b22
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b23
r"01234567(foo)01234567"
$ echo -n '\''r"01234567(foo)01234567"'\''|json -b24
r"01234567(foo)01234567"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b1
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b2
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b3
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b4
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b5
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b6
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b7
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b8
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b9
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b10
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b11
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b12
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b13
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b14
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b15
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b16
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b17
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b18
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b19
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b20
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b21
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b22
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b23
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b24
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b25
r"012345678(foo)012345678"
$ echo -n '\''r"012345678(foo)012345678"'\''|json -b26
r"012345678(foo)012345678"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b1
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b2
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b3
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b4
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b5
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b6
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b7
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b8
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b9
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b10
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b11
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b12
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b13
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b14
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b15
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b16
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b17
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b18
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b19
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b20
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b21
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b22
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b23
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b24
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b25
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b26
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b27
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b28
r"0123456789(foo)0123456789"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b1
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b2
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b3
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b4
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b5
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b6
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b7
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b8
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b9
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b10
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b11
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b12
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b13
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b14
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b15
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b16
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b17
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b18
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b19
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b20
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b21
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b22
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b23
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b24
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b25
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b26
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b27
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b28
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b29
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b30
r"0123456789a(foo)0123456789a"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b1
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b2
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b3
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b4
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b5
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b6
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b7
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b8
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b9
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b10
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b11
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b12
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b13
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b14
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b15
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b16
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b17
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b18
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b19
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b20
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b21
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b22
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b23
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b24
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b25
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b26
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b27
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b28
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b29
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b30
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b31
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b32
r"0123456789ab(foo)0123456789ab"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b1
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b2
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b3
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b4
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b5
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b6
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b7
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b8
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b9
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b10
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b11
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b12
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b13
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b14
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b15
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b16
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b17
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b18
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b19
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b20
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b21
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b22
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b23
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b24
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b25
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b26
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b27
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b28
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b29
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b30
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b31
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b32
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b33
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b34
r"0123456789abc(foo)0123456789abc"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b1
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b2
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b3
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b4
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b5
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b6
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b7
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b8
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b9
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b10
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b11
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b12
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b13
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b14
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b15
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b16
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b17
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b18
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b19
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b20
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b21
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b22
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b23
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b24
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b25
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b26
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b27
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b28
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b29
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b30
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b31
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b32
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b33
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b34
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b35
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b36
r"0123456789abcd(foo)0123456789abcd"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b1
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b2
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b3
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b4
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b5
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b6
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b7
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b8
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b9
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b10
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b11
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b12
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b13
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b14
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b15
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b16
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b17
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b18
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b19
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b20
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b21
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b22
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b23
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b24
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b25
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b26
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b27
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b28
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b29
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b30
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b31
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b32
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b33
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b34
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b35
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b36
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b37
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b38
r"0123456789abcde(foo)0123456789abcde"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b1
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b2
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b3
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b4
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b5
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b6
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b7
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b8
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b9
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b10
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b11
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b12
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b13
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b14
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b15
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b16
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b17
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b18
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b19
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b20
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b21
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b22
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b23
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b24
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b25
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b26
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b27
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b28
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b29
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b30
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b31
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b32
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b33
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b34
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b35
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b36
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b37
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b38
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b39
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b40
r"0123456789abcdef(foo)0123456789abcdef"
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b1
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b1
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b2
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b2
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b3
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b3
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b4
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b4
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b5
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b5
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b6
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b6
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b7
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b7
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b8
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b8
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b9
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b9
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b10
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b10
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b11
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b11
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b12
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b12
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b13
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b13
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b14
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b14
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b15
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b15
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b16
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b16
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b17
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b17
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b18
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b18
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b19
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b19
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b20
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b20
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b21
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b21
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b22
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b22
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b23
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b23
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b24
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b24
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b25
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b25
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b26
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b26
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b27
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b27
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b28
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b28
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b29
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b29
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b30
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b30
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b31
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b31
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b32
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b32
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b33
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b33
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b34
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b34
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b35
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b35
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b36
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b36
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b37
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b37
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b38
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b38
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b39
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b39
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b40
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b40
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b41
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b41
$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b42
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefg(foo)0123456789abcdefg"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b42
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b1
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b1
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b2
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b2
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b3
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b3
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b4
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b4
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b5
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b5
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b6
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b6
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b7
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b7
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b8
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b8
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b9
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b9
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b10
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b10
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b11
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b11
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b12
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b12
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b13
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b13
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b14
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b14
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b15
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b15
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b16
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b16
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b17
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b17
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b18
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b18
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b19
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b19
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b20
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b20
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b21
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b21
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b22
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b22
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b23
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b23
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b24
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b24
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b25
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b25
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b26
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b26
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b27
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b27
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b28
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b28
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b29
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b29
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b30
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b30
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b31
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b31
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b32
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b32
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b33
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b33
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b34
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b34
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b35
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b35
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b36
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b36
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b37
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b37
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b38
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b38
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b39
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b39
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b40
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b40
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b41
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b41
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b42
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b42
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b43
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b43
$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b44
json: error: <stdin>:1:19: lex error: invalid raw string literal
json: error: <stdin>:1:19: r"0123456789abcdefgh(foo)0123456789abcdefgh"
json: error: <stdin>:1:19:                   ^
command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b44'
) -L raw-string4.new <(
echo '$ json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'
json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; } 2>&1 ||
echo 'command failed: json0() { LD_LIBRARY_PATH=../lib ../src/json --pretty --verbose "$@"; }'

echo '$ json() { json0 --literal-value --raw-strings "$@"; }'
json() { json0 --literal-value --raw-strings "$@"; } 2>&1 ||
echo 'command failed: json() { json0 --literal-value --raw-strings "$@"; }'

echo '$ echo -n '\''r"()"'\''|json -b1'
echo -n 'r"()"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"()"'\''|json -b1'

echo '$ echo -n '\''r"()"'\''|json -b2'
echo -n 'r"()"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"()"'\''|json -b2'

echo '$ echo -n '\''r"()"'\''|json -b3'
echo -n 'r"()"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"()"'\''|json -b3'

echo '$ echo -n '\''r"()"'\''|json -b4'
echo -n 'r"()"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"()"'\''|json -b4'

echo '$ echo -n '\''r"()"'\''|json -b5'
echo -n 'r"()"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"()"'\''|json -b5'

echo '$ echo -n '\''r"0()0"'\''|json -b1'
echo -n 'r"0()0"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b1'

echo '$ echo -n '\''r"0()0"'\''|json -b2'
echo -n 'r"0()0"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b2'

echo '$ echo -n '\''r"0()0"'\''|json -b3'
echo -n 'r"0()0"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b3'

echo '$ echo -n '\''r"0()0"'\''|json -b4'
echo -n 'r"0()0"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b4'

echo '$ echo -n '\''r"0()0"'\''|json -b5'
echo -n 'r"0()0"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b5'

echo '$ echo -n '\''r"0()0"'\''|json -b6'
echo -n 'r"0()0"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b6'

echo '$ echo -n '\''r"0()0"'\''|json -b7'
echo -n 'r"0()0"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0()0"'\''|json -b7'

echo '$ echo -n '\''r"01()01"'\''|json -b1'
echo -n 'r"01()01"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b1'

echo '$ echo -n '\''r"01()01"'\''|json -b2'
echo -n 'r"01()01"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b2'

echo '$ echo -n '\''r"01()01"'\''|json -b3'
echo -n 'r"01()01"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b3'

echo '$ echo -n '\''r"01()01"'\''|json -b4'
echo -n 'r"01()01"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b4'

echo '$ echo -n '\''r"01()01"'\''|json -b5'
echo -n 'r"01()01"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b5'

echo '$ echo -n '\''r"01()01"'\''|json -b6'
echo -n 'r"01()01"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b6'

echo '$ echo -n '\''r"01()01"'\''|json -b7'
echo -n 'r"01()01"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b7'

echo '$ echo -n '\''r"01()01"'\''|json -b8'
echo -n 'r"01()01"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b8'

echo '$ echo -n '\''r"01()01"'\''|json -b9'
echo -n 'r"01()01"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"01()01"'\''|json -b9'

echo '$ echo -n '\''r"012()012"'\''|json -b1'
echo -n 'r"012()012"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b1'

echo '$ echo -n '\''r"012()012"'\''|json -b2'
echo -n 'r"012()012"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b2'

echo '$ echo -n '\''r"012()012"'\''|json -b3'
echo -n 'r"012()012"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b3'

echo '$ echo -n '\''r"012()012"'\''|json -b4'
echo -n 'r"012()012"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b4'

echo '$ echo -n '\''r"012()012"'\''|json -b5'
echo -n 'r"012()012"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b5'

echo '$ echo -n '\''r"012()012"'\''|json -b6'
echo -n 'r"012()012"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b6'

echo '$ echo -n '\''r"012()012"'\''|json -b7'
echo -n 'r"012()012"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b7'

echo '$ echo -n '\''r"012()012"'\''|json -b8'
echo -n 'r"012()012"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b8'

echo '$ echo -n '\''r"012()012"'\''|json -b9'
echo -n 'r"012()012"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b9'

echo '$ echo -n '\''r"012()012"'\''|json -b10'
echo -n 'r"012()012"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b10'

echo '$ echo -n '\''r"012()012"'\''|json -b11'
echo -n 'r"012()012"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"012()012"'\''|json -b11'

echo '$ echo -n '\''r"0123()0123"'\''|json -b1'
echo -n 'r"0123()0123"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b1'

echo '$ echo -n '\''r"0123()0123"'\''|json -b2'
echo -n 'r"0123()0123"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b2'

echo '$ echo -n '\''r"0123()0123"'\''|json -b3'
echo -n 'r"0123()0123"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b3'

echo '$ echo -n '\''r"0123()0123"'\''|json -b4'
echo -n 'r"0123()0123"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b4'

echo '$ echo -n '\''r"0123()0123"'\''|json -b5'
echo -n 'r"0123()0123"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b5'

echo '$ echo -n '\''r"0123()0123"'\''|json -b6'
echo -n 'r"0123()0123"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b6'

echo '$ echo -n '\''r"0123()0123"'\''|json -b7'
echo -n 'r"0123()0123"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b7'

echo '$ echo -n '\''r"0123()0123"'\''|json -b8'
echo -n 'r"0123()0123"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b8'

echo '$ echo -n '\''r"0123()0123"'\''|json -b9'
echo -n 'r"0123()0123"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b9'

echo '$ echo -n '\''r"0123()0123"'\''|json -b10'
echo -n 'r"0123()0123"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b10'

echo '$ echo -n '\''r"0123()0123"'\''|json -b11'
echo -n 'r"0123()0123"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b11'

echo '$ echo -n '\''r"0123()0123"'\''|json -b12'
echo -n 'r"0123()0123"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b12'

echo '$ echo -n '\''r"0123()0123"'\''|json -b13'
echo -n 'r"0123()0123"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123()0123"'\''|json -b13'

echo '$ echo -n '\''r"01234()01234"'\''|json -b1'
echo -n 'r"01234()01234"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b1'

echo '$ echo -n '\''r"01234()01234"'\''|json -b2'
echo -n 'r"01234()01234"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b2'

echo '$ echo -n '\''r"01234()01234"'\''|json -b3'
echo -n 'r"01234()01234"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b3'

echo '$ echo -n '\''r"01234()01234"'\''|json -b4'
echo -n 'r"01234()01234"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b4'

echo '$ echo -n '\''r"01234()01234"'\''|json -b5'
echo -n 'r"01234()01234"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b5'

echo '$ echo -n '\''r"01234()01234"'\''|json -b6'
echo -n 'r"01234()01234"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b6'

echo '$ echo -n '\''r"01234()01234"'\''|json -b7'
echo -n 'r"01234()01234"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b7'

echo '$ echo -n '\''r"01234()01234"'\''|json -b8'
echo -n 'r"01234()01234"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b8'

echo '$ echo -n '\''r"01234()01234"'\''|json -b9'
echo -n 'r"01234()01234"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b9'

echo '$ echo -n '\''r"01234()01234"'\''|json -b10'
echo -n 'r"01234()01234"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b10'

echo '$ echo -n '\''r"01234()01234"'\''|json -b11'
echo -n 'r"01234()01234"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b11'

echo '$ echo -n '\''r"01234()01234"'\''|json -b12'
echo -n 'r"01234()01234"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b12'

echo '$ echo -n '\''r"01234()01234"'\''|json -b13'
echo -n 'r"01234()01234"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b13'

echo '$ echo -n '\''r"01234()01234"'\''|json -b14'
echo -n 'r"01234()01234"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b14'

echo '$ echo -n '\''r"01234()01234"'\''|json -b15'
echo -n 'r"01234()01234"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"01234()01234"'\''|json -b15'

echo '$ echo -n '\''r"012345()012345"'\''|json -b1'
echo -n 'r"012345()012345"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b1'

echo '$ echo -n '\''r"012345()012345"'\''|json -b2'
echo -n 'r"012345()012345"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b2'

echo '$ echo -n '\''r"012345()012345"'\''|json -b3'
echo -n 'r"012345()012345"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b3'

echo '$ echo -n '\''r"012345()012345"'\''|json -b4'
echo -n 'r"012345()012345"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b4'

echo '$ echo -n '\''r"012345()012345"'\''|json -b5'
echo -n 'r"012345()012345"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b5'

echo '$ echo -n '\''r"012345()012345"'\''|json -b6'
echo -n 'r"012345()012345"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b6'

echo '$ echo -n '\''r"012345()012345"'\''|json -b7'
echo -n 'r"012345()012345"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b7'

echo '$ echo -n '\''r"012345()012345"'\''|json -b8'
echo -n 'r"012345()012345"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b8'

echo '$ echo -n '\''r"012345()012345"'\''|json -b9'
echo -n 'r"012345()012345"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b9'

echo '$ echo -n '\''r"012345()012345"'\''|json -b10'
echo -n 'r"012345()012345"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b10'

echo '$ echo -n '\''r"012345()012345"'\''|json -b11'
echo -n 'r"012345()012345"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b11'

echo '$ echo -n '\''r"012345()012345"'\''|json -b12'
echo -n 'r"012345()012345"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b12'

echo '$ echo -n '\''r"012345()012345"'\''|json -b13'
echo -n 'r"012345()012345"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b13'

echo '$ echo -n '\''r"012345()012345"'\''|json -b14'
echo -n 'r"012345()012345"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b14'

echo '$ echo -n '\''r"012345()012345"'\''|json -b15'
echo -n 'r"012345()012345"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b15'

echo '$ echo -n '\''r"012345()012345"'\''|json -b16'
echo -n 'r"012345()012345"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b16'

echo '$ echo -n '\''r"012345()012345"'\''|json -b17'
echo -n 'r"012345()012345"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"012345()012345"'\''|json -b17'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b1'
echo -n 'r"0123456()0123456"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b1'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b2'
echo -n 'r"0123456()0123456"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b2'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b3'
echo -n 'r"0123456()0123456"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b3'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b4'
echo -n 'r"0123456()0123456"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b4'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b5'
echo -n 'r"0123456()0123456"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b5'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b6'
echo -n 'r"0123456()0123456"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b6'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b7'
echo -n 'r"0123456()0123456"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b7'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b8'
echo -n 'r"0123456()0123456"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b8'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b9'
echo -n 'r"0123456()0123456"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b9'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b10'
echo -n 'r"0123456()0123456"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b10'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b11'
echo -n 'r"0123456()0123456"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b11'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b12'
echo -n 'r"0123456()0123456"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b12'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b13'
echo -n 'r"0123456()0123456"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b13'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b14'
echo -n 'r"0123456()0123456"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b14'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b15'
echo -n 'r"0123456()0123456"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b15'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b16'
echo -n 'r"0123456()0123456"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b16'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b17'
echo -n 'r"0123456()0123456"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b17'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b18'
echo -n 'r"0123456()0123456"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b18'

echo '$ echo -n '\''r"0123456()0123456"'\''|json -b19'
echo -n 'r"0123456()0123456"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456()0123456"'\''|json -b19'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b1'
echo -n 'r"01234567()01234567"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b1'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b2'
echo -n 'r"01234567()01234567"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b2'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b3'
echo -n 'r"01234567()01234567"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b3'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b4'
echo -n 'r"01234567()01234567"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b4'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b5'
echo -n 'r"01234567()01234567"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b5'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b6'
echo -n 'r"01234567()01234567"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b6'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b7'
echo -n 'r"01234567()01234567"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b7'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b8'
echo -n 'r"01234567()01234567"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b8'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b9'
echo -n 'r"01234567()01234567"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b9'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b10'
echo -n 'r"01234567()01234567"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b10'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b11'
echo -n 'r"01234567()01234567"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b11'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b12'
echo -n 'r"01234567()01234567"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b12'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b13'
echo -n 'r"01234567()01234567"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b13'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b14'
echo -n 'r"01234567()01234567"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b14'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b15'
echo -n 'r"01234567()01234567"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b15'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b16'
echo -n 'r"01234567()01234567"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b16'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b17'
echo -n 'r"01234567()01234567"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b17'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b18'
echo -n 'r"01234567()01234567"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b18'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b19'
echo -n 'r"01234567()01234567"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b19'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b20'
echo -n 'r"01234567()01234567"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b20'

echo '$ echo -n '\''r"01234567()01234567"'\''|json -b21'
echo -n 'r"01234567()01234567"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"01234567()01234567"'\''|json -b21'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b1'
echo -n 'r"012345678()012345678"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b1'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b2'
echo -n 'r"012345678()012345678"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b2'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b3'
echo -n 'r"012345678()012345678"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b3'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b4'
echo -n 'r"012345678()012345678"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b4'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b5'
echo -n 'r"012345678()012345678"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b5'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b6'
echo -n 'r"012345678()012345678"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b6'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b7'
echo -n 'r"012345678()012345678"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b7'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b8'
echo -n 'r"012345678()012345678"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b8'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b9'
echo -n 'r"012345678()012345678"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b9'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b10'
echo -n 'r"012345678()012345678"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b10'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b11'
echo -n 'r"012345678()012345678"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b11'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b12'
echo -n 'r"012345678()012345678"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b12'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b13'
echo -n 'r"012345678()012345678"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b13'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b14'
echo -n 'r"012345678()012345678"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b14'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b15'
echo -n 'r"012345678()012345678"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b15'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b16'
echo -n 'r"012345678()012345678"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b16'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b17'
echo -n 'r"012345678()012345678"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b17'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b18'
echo -n 'r"012345678()012345678"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b18'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b19'
echo -n 'r"012345678()012345678"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b19'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b20'
echo -n 'r"012345678()012345678"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b20'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b21'
echo -n 'r"012345678()012345678"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b21'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b22'
echo -n 'r"012345678()012345678"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b22'

echo '$ echo -n '\''r"012345678()012345678"'\''|json -b23'
echo -n 'r"012345678()012345678"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"012345678()012345678"'\''|json -b23'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b1'
echo -n 'r"0123456789()0123456789"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b1'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b2'
echo -n 'r"0123456789()0123456789"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b2'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b3'
echo -n 'r"0123456789()0123456789"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b3'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b4'
echo -n 'r"0123456789()0123456789"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b4'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b5'
echo -n 'r"0123456789()0123456789"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b5'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b6'
echo -n 'r"0123456789()0123456789"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b6'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b7'
echo -n 'r"0123456789()0123456789"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b7'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b8'
echo -n 'r"0123456789()0123456789"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b8'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b9'
echo -n 'r"0123456789()0123456789"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b9'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b10'
echo -n 'r"0123456789()0123456789"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b10'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b11'
echo -n 'r"0123456789()0123456789"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b11'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b12'
echo -n 'r"0123456789()0123456789"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b12'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b13'
echo -n 'r"0123456789()0123456789"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b13'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b14'
echo -n 'r"0123456789()0123456789"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b14'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b15'
echo -n 'r"0123456789()0123456789"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b15'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b16'
echo -n 'r"0123456789()0123456789"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b16'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b17'
echo -n 'r"0123456789()0123456789"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b17'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b18'
echo -n 'r"0123456789()0123456789"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b18'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b19'
echo -n 'r"0123456789()0123456789"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b19'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b20'
echo -n 'r"0123456789()0123456789"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b20'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b21'
echo -n 'r"0123456789()0123456789"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b21'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b22'
echo -n 'r"0123456789()0123456789"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b22'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b23'
echo -n 'r"0123456789()0123456789"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b23'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b24'
echo -n 'r"0123456789()0123456789"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b24'

echo '$ echo -n '\''r"0123456789()0123456789"'\''|json -b25'
echo -n 'r"0123456789()0123456789"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789()0123456789"'\''|json -b25'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b1'
echo -n 'r"0123456789a()0123456789a"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b1'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b2'
echo -n 'r"0123456789a()0123456789a"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b2'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b3'
echo -n 'r"0123456789a()0123456789a"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b3'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b4'
echo -n 'r"0123456789a()0123456789a"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b4'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b5'
echo -n 'r"0123456789a()0123456789a"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b5'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b6'
echo -n 'r"0123456789a()0123456789a"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b6'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b7'
echo -n 'r"0123456789a()0123456789a"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b7'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b8'
echo -n 'r"0123456789a()0123456789a"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b8'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b9'
echo -n 'r"0123456789a()0123456789a"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b9'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b10'
echo -n 'r"0123456789a()0123456789a"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b10'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b11'
echo -n 'r"0123456789a()0123456789a"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b11'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b12'
echo -n 'r"0123456789a()0123456789a"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b12'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b13'
echo -n 'r"0123456789a()0123456789a"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b13'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b14'
echo -n 'r"0123456789a()0123456789a"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b14'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b15'
echo -n 'r"0123456789a()0123456789a"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b15'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b16'
echo -n 'r"0123456789a()0123456789a"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b16'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b17'
echo -n 'r"0123456789a()0123456789a"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b17'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b18'
echo -n 'r"0123456789a()0123456789a"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b18'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b19'
echo -n 'r"0123456789a()0123456789a"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b19'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b20'
echo -n 'r"0123456789a()0123456789a"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b20'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b21'
echo -n 'r"0123456789a()0123456789a"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b21'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b22'
echo -n 'r"0123456789a()0123456789a"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b22'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b23'
echo -n 'r"0123456789a()0123456789a"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b23'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b24'
echo -n 'r"0123456789a()0123456789a"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b24'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b25'
echo -n 'r"0123456789a()0123456789a"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b25'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b26'
echo -n 'r"0123456789a()0123456789a"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b26'

echo '$ echo -n '\''r"0123456789a()0123456789a"'\''|json -b27'
echo -n 'r"0123456789a()0123456789a"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a()0123456789a"'\''|json -b27'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b1'
echo -n 'r"0123456789ab()0123456789ab"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b1'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b2'
echo -n 'r"0123456789ab()0123456789ab"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b2'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b3'
echo -n 'r"0123456789ab()0123456789ab"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b3'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b4'
echo -n 'r"0123456789ab()0123456789ab"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b4'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b5'
echo -n 'r"0123456789ab()0123456789ab"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b5'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b6'
echo -n 'r"0123456789ab()0123456789ab"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b6'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b7'
echo -n 'r"0123456789ab()0123456789ab"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b7'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b8'
echo -n 'r"0123456789ab()0123456789ab"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b8'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b9'
echo -n 'r"0123456789ab()0123456789ab"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b9'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b10'
echo -n 'r"0123456789ab()0123456789ab"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b10'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b11'
echo -n 'r"0123456789ab()0123456789ab"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b11'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b12'
echo -n 'r"0123456789ab()0123456789ab"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b12'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b13'
echo -n 'r"0123456789ab()0123456789ab"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b13'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b14'
echo -n 'r"0123456789ab()0123456789ab"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b14'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b15'
echo -n 'r"0123456789ab()0123456789ab"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b15'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b16'
echo -n 'r"0123456789ab()0123456789ab"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b16'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b17'
echo -n 'r"0123456789ab()0123456789ab"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b17'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b18'
echo -n 'r"0123456789ab()0123456789ab"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b18'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b19'
echo -n 'r"0123456789ab()0123456789ab"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b19'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b20'
echo -n 'r"0123456789ab()0123456789ab"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b20'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b21'
echo -n 'r"0123456789ab()0123456789ab"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b21'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b22'
echo -n 'r"0123456789ab()0123456789ab"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b22'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b23'
echo -n 'r"0123456789ab()0123456789ab"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b23'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b24'
echo -n 'r"0123456789ab()0123456789ab"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b24'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b25'
echo -n 'r"0123456789ab()0123456789ab"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b25'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b26'
echo -n 'r"0123456789ab()0123456789ab"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b26'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b27'
echo -n 'r"0123456789ab()0123456789ab"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b27'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b28'
echo -n 'r"0123456789ab()0123456789ab"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b28'

echo '$ echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b29'
echo -n 'r"0123456789ab()0123456789ab"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab()0123456789ab"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b1'
echo -n 'r"0123456789abc()0123456789abc"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b2'
echo -n 'r"0123456789abc()0123456789abc"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b3'
echo -n 'r"0123456789abc()0123456789abc"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b4'
echo -n 'r"0123456789abc()0123456789abc"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b5'
echo -n 'r"0123456789abc()0123456789abc"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b6'
echo -n 'r"0123456789abc()0123456789abc"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b7'
echo -n 'r"0123456789abc()0123456789abc"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b8'
echo -n 'r"0123456789abc()0123456789abc"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b9'
echo -n 'r"0123456789abc()0123456789abc"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b10'
echo -n 'r"0123456789abc()0123456789abc"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b11'
echo -n 'r"0123456789abc()0123456789abc"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b12'
echo -n 'r"0123456789abc()0123456789abc"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b13'
echo -n 'r"0123456789abc()0123456789abc"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b14'
echo -n 'r"0123456789abc()0123456789abc"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b15'
echo -n 'r"0123456789abc()0123456789abc"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b16'
echo -n 'r"0123456789abc()0123456789abc"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b17'
echo -n 'r"0123456789abc()0123456789abc"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b18'
echo -n 'r"0123456789abc()0123456789abc"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b19'
echo -n 'r"0123456789abc()0123456789abc"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b20'
echo -n 'r"0123456789abc()0123456789abc"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b21'
echo -n 'r"0123456789abc()0123456789abc"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b22'
echo -n 'r"0123456789abc()0123456789abc"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b23'
echo -n 'r"0123456789abc()0123456789abc"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b24'
echo -n 'r"0123456789abc()0123456789abc"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b25'
echo -n 'r"0123456789abc()0123456789abc"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b26'
echo -n 'r"0123456789abc()0123456789abc"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b27'
echo -n 'r"0123456789abc()0123456789abc"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b28'
echo -n 'r"0123456789abc()0123456789abc"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b29'
echo -n 'r"0123456789abc()0123456789abc"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b30'
echo -n 'r"0123456789abc()0123456789abc"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b31'
echo -n 'r"0123456789abc()0123456789abc"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc()0123456789abc"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b1'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b2'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b3'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b4'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b5'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b6'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b7'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b8'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b9'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b10'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b11'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b12'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b13'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b14'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b15'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b16'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b17'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b18'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b19'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b20'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b21'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b22'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b23'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b24'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b25'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b26'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b27'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b28'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b29'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b30'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b31'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b32'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b33'
echo -n 'r"0123456789abcd()0123456789abcd"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd()0123456789abcd"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b1'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b2'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b3'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b4'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b5'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b6'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b7'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b8'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b9'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b10'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b11'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b12'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b13'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b14'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b15'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b16'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b17'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b18'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b19'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b20'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b21'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b22'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b23'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b24'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b25'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b26'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b27'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b28'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b29'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b30'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b31'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b32'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b33'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b34'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b35'
echo -n 'r"0123456789abcde()0123456789abcde"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde()0123456789abcde"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b1'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b2'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b3'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b4'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b5'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b6'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b7'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b8'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b9'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b10'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b11'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b12'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b13'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b14'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b15'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b16'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b17'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b18'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b19'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b20'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b21'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b22'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b23'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b24'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b25'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b26'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b27'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b28'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b29'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b30'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b31'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b32'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b33'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b34'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b35'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b36'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b37'
echo -n 'r"0123456789abcdef()0123456789abcdef"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef()0123456789abcdef"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b1'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b2'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b3'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b4'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b5'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b6'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b7'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b8'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b9'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b10'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b11'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b12'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b13'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b14'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b15'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b16'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b17'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b18'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b19'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b20'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b21'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b22'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b23'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b24'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b25'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b26'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b27'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b28'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b29'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b30'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b31'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b32'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b33'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b34'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b35'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b36'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b37'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b38'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b38 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b38'

echo '$ echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b39'
echo -n 'r"0123456789abcdefg()0123456789abcdefg"'|json -b39 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg()0123456789abcdefg"'\''|json -b39'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b1'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b2'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b3'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b4'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b5'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b6'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b7'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b8'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b9'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b10'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b11'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b12'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b13'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b14'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b15'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b16'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b17'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b18'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b19'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b20'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b21'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b22'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b23'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b24'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b25'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b26'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b27'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b28'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b29'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b30'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b31'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b32'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b33'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b34'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b35'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b36'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b37'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b38'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b38 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b38'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b39'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b39 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b39'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b40'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b40 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b40'

echo '$ echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b41'
echo -n 'r"0123456789abcdefgh()0123456789abcdefgh"'|json -b41 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh()0123456789abcdefgh"'\''|json -b41'

echo '$ echo -n '\''r"(foo)"'\''|json -b1'
echo -n 'r"(foo)"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b1'

echo '$ echo -n '\''r"(foo)"'\''|json -b2'
echo -n 'r"(foo)"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b2'

echo '$ echo -n '\''r"(foo)"'\''|json -b3'
echo -n 'r"(foo)"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b3'

echo '$ echo -n '\''r"(foo)"'\''|json -b4'
echo -n 'r"(foo)"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b4'

echo '$ echo -n '\''r"(foo)"'\''|json -b5'
echo -n 'r"(foo)"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b5'

echo '$ echo -n '\''r"(foo)"'\''|json -b6'
echo -n 'r"(foo)"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b6'

echo '$ echo -n '\''r"(foo)"'\''|json -b7'
echo -n 'r"(foo)"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b7'

echo '$ echo -n '\''r"(foo)"'\''|json -b8'
echo -n 'r"(foo)"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"(foo)"'\''|json -b8'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b1'
echo -n 'r"0(foo)0"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b1'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b2'
echo -n 'r"0(foo)0"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b2'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b3'
echo -n 'r"0(foo)0"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b3'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b4'
echo -n 'r"0(foo)0"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b4'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b5'
echo -n 'r"0(foo)0"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b5'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b6'
echo -n 'r"0(foo)0"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b6'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b7'
echo -n 'r"0(foo)0"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b7'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b8'
echo -n 'r"0(foo)0"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b8'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b9'
echo -n 'r"0(foo)0"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b9'

echo '$ echo -n '\''r"0(foo)0"'\''|json -b10'
echo -n 'r"0(foo)0"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0(foo)0"'\''|json -b10'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b1'
echo -n 'r"01(foo)01"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b1'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b2'
echo -n 'r"01(foo)01"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b2'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b3'
echo -n 'r"01(foo)01"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b3'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b4'
echo -n 'r"01(foo)01"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b4'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b5'
echo -n 'r"01(foo)01"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b5'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b6'
echo -n 'r"01(foo)01"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b6'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b7'
echo -n 'r"01(foo)01"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b7'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b8'
echo -n 'r"01(foo)01"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b8'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b9'
echo -n 'r"01(foo)01"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b9'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b10'
echo -n 'r"01(foo)01"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b10'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b11'
echo -n 'r"01(foo)01"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b11'

echo '$ echo -n '\''r"01(foo)01"'\''|json -b12'
echo -n 'r"01(foo)01"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"01(foo)01"'\''|json -b12'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b1'
echo -n 'r"012(foo)012"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b1'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b2'
echo -n 'r"012(foo)012"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b2'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b3'
echo -n 'r"012(foo)012"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b3'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b4'
echo -n 'r"012(foo)012"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b4'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b5'
echo -n 'r"012(foo)012"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b5'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b6'
echo -n 'r"012(foo)012"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b6'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b7'
echo -n 'r"012(foo)012"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b7'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b8'
echo -n 'r"012(foo)012"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b8'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b9'
echo -n 'r"012(foo)012"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b9'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b10'
echo -n 'r"012(foo)012"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b10'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b11'
echo -n 'r"012(foo)012"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b11'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b12'
echo -n 'r"012(foo)012"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b12'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b13'
echo -n 'r"012(foo)012"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b13'

echo '$ echo -n '\''r"012(foo)012"'\''|json -b14'
echo -n 'r"012(foo)012"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"012(foo)012"'\''|json -b14'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b1'
echo -n 'r"0123(foo)0123"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b1'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b2'
echo -n 'r"0123(foo)0123"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b2'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b3'
echo -n 'r"0123(foo)0123"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b3'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b4'
echo -n 'r"0123(foo)0123"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b4'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b5'
echo -n 'r"0123(foo)0123"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b5'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b6'
echo -n 'r"0123(foo)0123"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b6'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b7'
echo -n 'r"0123(foo)0123"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b7'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b8'
echo -n 'r"0123(foo)0123"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b8'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b9'
echo -n 'r"0123(foo)0123"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b9'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b10'
echo -n 'r"0123(foo)0123"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b10'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b11'
echo -n 'r"0123(foo)0123"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b11'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b12'
echo -n 'r"0123(foo)0123"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b12'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b13'
echo -n 'r"0123(foo)0123"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b13'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b14'
echo -n 'r"0123(foo)0123"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b14'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b15'
echo -n 'r"0123(foo)0123"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b15'

echo '$ echo -n '\''r"0123(foo)0123"'\''|json -b16'
echo -n 'r"0123(foo)0123"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123(foo)0123"'\''|json -b16'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b1'
echo -n 'r"01234(foo)01234"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b1'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b2'
echo -n 'r"01234(foo)01234"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b2'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b3'
echo -n 'r"01234(foo)01234"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b3'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b4'
echo -n 'r"01234(foo)01234"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b4'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b5'
echo -n 'r"01234(foo)01234"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b5'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b6'
echo -n 'r"01234(foo)01234"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b6'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b7'
echo -n 'r"01234(foo)01234"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b7'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b8'
echo -n 'r"01234(foo)01234"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b8'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b9'
echo -n 'r"01234(foo)01234"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b9'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b10'
echo -n 'r"01234(foo)01234"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b10'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b11'
echo -n 'r"01234(foo)01234"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b11'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b12'
echo -n 'r"01234(foo)01234"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b12'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b13'
echo -n 'r"01234(foo)01234"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b13'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b14'
echo -n 'r"01234(foo)01234"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b14'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b15'
echo -n 'r"01234(foo)01234"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b15'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b16'
echo -n 'r"01234(foo)01234"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b16'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b17'
echo -n 'r"01234(foo)01234"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b17'

echo '$ echo -n '\''r"01234(foo)01234"'\''|json -b18'
echo -n 'r"01234(foo)01234"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"01234(foo)01234"'\''|json -b18'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b1'
echo -n 'r"012345(foo)012345"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b1'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b2'
echo -n 'r"012345(foo)012345"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b2'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b3'
echo -n 'r"012345(foo)012345"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b3'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b4'
echo -n 'r"012345(foo)012345"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b4'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b5'
echo -n 'r"012345(foo)012345"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b5'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b6'
echo -n 'r"012345(foo)012345"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b6'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b7'
echo -n 'r"012345(foo)012345"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b7'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b8'
echo -n 'r"012345(foo)012345"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b8'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b9'
echo -n 'r"012345(foo)012345"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b9'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b10'
echo -n 'r"012345(foo)012345"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b10'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b11'
echo -n 'r"012345(foo)012345"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b11'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b12'
echo -n 'r"012345(foo)012345"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b12'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b13'
echo -n 'r"012345(foo)012345"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b13'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b14'
echo -n 'r"012345(foo)012345"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b14'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b15'
echo -n 'r"012345(foo)012345"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b15'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b16'
echo -n 'r"012345(foo)012345"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b16'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b17'
echo -n 'r"012345(foo)012345"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b17'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b18'
echo -n 'r"012345(foo)012345"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b18'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b19'
echo -n 'r"012345(foo)012345"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b19'

echo '$ echo -n '\''r"012345(foo)012345"'\''|json -b20'
echo -n 'r"012345(foo)012345"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"012345(foo)012345"'\''|json -b20'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b1'
echo -n 'r"0123456(foo)0123456"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b1'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b2'
echo -n 'r"0123456(foo)0123456"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b2'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b3'
echo -n 'r"0123456(foo)0123456"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b3'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b4'
echo -n 'r"0123456(foo)0123456"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b4'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b5'
echo -n 'r"0123456(foo)0123456"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b5'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b6'
echo -n 'r"0123456(foo)0123456"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b6'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b7'
echo -n 'r"0123456(foo)0123456"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b7'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b8'
echo -n 'r"0123456(foo)0123456"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b8'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b9'
echo -n 'r"0123456(foo)0123456"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b9'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b10'
echo -n 'r"0123456(foo)0123456"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b10'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b11'
echo -n 'r"0123456(foo)0123456"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b11'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b12'
echo -n 'r"0123456(foo)0123456"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b12'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b13'
echo -n 'r"0123456(foo)0123456"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b13'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b14'
echo -n 'r"0123456(foo)0123456"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b14'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b15'
echo -n 'r"0123456(foo)0123456"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b15'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b16'
echo -n 'r"0123456(foo)0123456"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b16'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b17'
echo -n 'r"0123456(foo)0123456"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b17'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b18'
echo -n 'r"0123456(foo)0123456"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b18'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b19'
echo -n 'r"0123456(foo)0123456"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b19'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b20'
echo -n 'r"0123456(foo)0123456"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b20'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b21'
echo -n 'r"0123456(foo)0123456"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b21'

echo '$ echo -n '\''r"0123456(foo)0123456"'\''|json -b22'
echo -n 'r"0123456(foo)0123456"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456(foo)0123456"'\''|json -b22'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b1'
echo -n 'r"01234567(foo)01234567"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b1'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b2'
echo -n 'r"01234567(foo)01234567"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b2'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b3'
echo -n 'r"01234567(foo)01234567"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b3'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b4'
echo -n 'r"01234567(foo)01234567"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b4'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b5'
echo -n 'r"01234567(foo)01234567"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b5'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b6'
echo -n 'r"01234567(foo)01234567"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b6'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b7'
echo -n 'r"01234567(foo)01234567"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b7'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b8'
echo -n 'r"01234567(foo)01234567"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b8'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b9'
echo -n 'r"01234567(foo)01234567"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b9'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b10'
echo -n 'r"01234567(foo)01234567"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b10'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b11'
echo -n 'r"01234567(foo)01234567"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b11'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b12'
echo -n 'r"01234567(foo)01234567"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b12'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b13'
echo -n 'r"01234567(foo)01234567"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b13'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b14'
echo -n 'r"01234567(foo)01234567"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b14'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b15'
echo -n 'r"01234567(foo)01234567"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b15'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b16'
echo -n 'r"01234567(foo)01234567"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b16'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b17'
echo -n 'r"01234567(foo)01234567"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b17'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b18'
echo -n 'r"01234567(foo)01234567"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b18'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b19'
echo -n 'r"01234567(foo)01234567"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b19'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b20'
echo -n 'r"01234567(foo)01234567"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b20'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b21'
echo -n 'r"01234567(foo)01234567"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b21'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b22'
echo -n 'r"01234567(foo)01234567"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b22'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b23'
echo -n 'r"01234567(foo)01234567"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b23'

echo '$ echo -n '\''r"01234567(foo)01234567"'\''|json -b24'
echo -n 'r"01234567(foo)01234567"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"01234567(foo)01234567"'\''|json -b24'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b1'
echo -n 'r"012345678(foo)012345678"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b1'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b2'
echo -n 'r"012345678(foo)012345678"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b2'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b3'
echo -n 'r"012345678(foo)012345678"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b3'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b4'
echo -n 'r"012345678(foo)012345678"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b4'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b5'
echo -n 'r"012345678(foo)012345678"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b5'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b6'
echo -n 'r"012345678(foo)012345678"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b6'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b7'
echo -n 'r"012345678(foo)012345678"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b7'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b8'
echo -n 'r"012345678(foo)012345678"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b8'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b9'
echo -n 'r"012345678(foo)012345678"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b9'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b10'
echo -n 'r"012345678(foo)012345678"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b10'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b11'
echo -n 'r"012345678(foo)012345678"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b11'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b12'
echo -n 'r"012345678(foo)012345678"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b12'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b13'
echo -n 'r"012345678(foo)012345678"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b13'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b14'
echo -n 'r"012345678(foo)012345678"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b14'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b15'
echo -n 'r"012345678(foo)012345678"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b15'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b16'
echo -n 'r"012345678(foo)012345678"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b16'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b17'
echo -n 'r"012345678(foo)012345678"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b17'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b18'
echo -n 'r"012345678(foo)012345678"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b18'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b19'
echo -n 'r"012345678(foo)012345678"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b19'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b20'
echo -n 'r"012345678(foo)012345678"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b20'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b21'
echo -n 'r"012345678(foo)012345678"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b21'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b22'
echo -n 'r"012345678(foo)012345678"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b22'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b23'
echo -n 'r"012345678(foo)012345678"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b23'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b24'
echo -n 'r"012345678(foo)012345678"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b24'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b25'
echo -n 'r"012345678(foo)012345678"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b25'

echo '$ echo -n '\''r"012345678(foo)012345678"'\''|json -b26'
echo -n 'r"012345678(foo)012345678"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"012345678(foo)012345678"'\''|json -b26'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b1'
echo -n 'r"0123456789(foo)0123456789"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b1'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b2'
echo -n 'r"0123456789(foo)0123456789"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b2'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b3'
echo -n 'r"0123456789(foo)0123456789"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b3'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b4'
echo -n 'r"0123456789(foo)0123456789"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b4'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b5'
echo -n 'r"0123456789(foo)0123456789"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b5'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b6'
echo -n 'r"0123456789(foo)0123456789"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b6'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b7'
echo -n 'r"0123456789(foo)0123456789"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b7'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b8'
echo -n 'r"0123456789(foo)0123456789"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b8'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b9'
echo -n 'r"0123456789(foo)0123456789"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b9'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b10'
echo -n 'r"0123456789(foo)0123456789"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b10'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b11'
echo -n 'r"0123456789(foo)0123456789"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b11'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b12'
echo -n 'r"0123456789(foo)0123456789"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b12'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b13'
echo -n 'r"0123456789(foo)0123456789"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b13'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b14'
echo -n 'r"0123456789(foo)0123456789"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b14'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b15'
echo -n 'r"0123456789(foo)0123456789"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b15'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b16'
echo -n 'r"0123456789(foo)0123456789"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b16'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b17'
echo -n 'r"0123456789(foo)0123456789"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b17'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b18'
echo -n 'r"0123456789(foo)0123456789"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b18'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b19'
echo -n 'r"0123456789(foo)0123456789"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b19'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b20'
echo -n 'r"0123456789(foo)0123456789"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b20'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b21'
echo -n 'r"0123456789(foo)0123456789"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b21'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b22'
echo -n 'r"0123456789(foo)0123456789"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b22'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b23'
echo -n 'r"0123456789(foo)0123456789"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b23'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b24'
echo -n 'r"0123456789(foo)0123456789"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b24'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b25'
echo -n 'r"0123456789(foo)0123456789"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b25'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b26'
echo -n 'r"0123456789(foo)0123456789"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b26'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b27'
echo -n 'r"0123456789(foo)0123456789"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b27'

echo '$ echo -n '\''r"0123456789(foo)0123456789"'\''|json -b28'
echo -n 'r"0123456789(foo)0123456789"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789(foo)0123456789"'\''|json -b28'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b1'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b1'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b2'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b2'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b3'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b3'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b4'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b4'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b5'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b5'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b6'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b6'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b7'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b7'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b8'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b8'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b9'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b9'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b10'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b10'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b11'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b11'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b12'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b12'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b13'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b13'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b14'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b14'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b15'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b15'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b16'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b16'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b17'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b17'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b18'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b18'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b19'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b19'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b20'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b20'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b21'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b21'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b22'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b22'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b23'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b23'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b24'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b24'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b25'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b25'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b26'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b26'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b27'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b27'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b28'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b28'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b29'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b29'

echo '$ echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b30'
echo -n 'r"0123456789a(foo)0123456789a"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789a(foo)0123456789a"'\''|json -b30'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b1'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b1'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b2'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b2'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b3'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b3'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b4'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b4'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b5'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b5'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b6'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b6'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b7'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b7'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b8'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b8'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b9'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b9'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b10'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b10'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b11'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b11'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b12'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b12'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b13'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b13'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b14'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b14'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b15'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b15'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b16'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b16'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b17'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b17'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b18'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b18'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b19'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b19'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b20'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b20'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b21'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b21'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b22'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b22'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b23'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b23'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b24'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b24'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b25'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b25'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b26'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b26'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b27'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b27'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b28'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b28'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b29'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b29'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b30'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b30'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b31'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b31'

echo '$ echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b32'
echo -n 'r"0123456789ab(foo)0123456789ab"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789ab(foo)0123456789ab"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b1'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b2'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b3'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b4'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b5'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b6'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b7'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b8'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b9'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b10'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b11'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b12'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b13'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b14'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b15'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b16'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b17'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b18'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b19'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b20'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b21'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b22'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b23'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b24'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b25'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b26'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b27'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b28'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b29'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b30'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b31'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b32'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b33'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b34'
echo -n 'r"0123456789abc(foo)0123456789abc"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abc(foo)0123456789abc"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b1'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b2'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b3'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b4'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b5'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b6'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b7'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b8'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b9'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b10'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b11'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b12'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b13'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b14'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b15'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b16'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b17'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b18'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b19'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b20'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b21'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b22'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b23'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b24'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b25'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b26'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b27'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b28'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b29'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b30'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b31'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b32'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b33'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b34'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b35'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b36'
echo -n 'r"0123456789abcd(foo)0123456789abcd"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcd(foo)0123456789abcd"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b1'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b2'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b3'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b4'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b5'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b6'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b7'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b8'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b9'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b10'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b11'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b12'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b13'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b14'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b15'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b16'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b17'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b18'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b19'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b20'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b21'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b22'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b23'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b24'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b25'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b26'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b27'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b28'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b29'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b30'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b31'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b32'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b33'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b34'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b35'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b36'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b37'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b38'
echo -n 'r"0123456789abcde(foo)0123456789abcde"'|json -b38 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcde(foo)0123456789abcde"'\''|json -b38'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b1'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b2'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b3'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b4'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b5'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b6'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b7'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b8'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b9'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b10'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b11'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b12'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b13'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b14'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b15'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b16'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b17'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b18'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b19'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b20'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b21'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b22'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b23'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b24'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b25'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b26'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b27'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b28'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b29'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b30'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b31'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b32'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b33'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b34'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b35'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b36'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b37'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b38'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b38 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b38'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b39'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b39 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b39'

echo '$ echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b40'
echo -n 'r"0123456789abcdef(foo)0123456789abcdef"'|json -b40 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdef(foo)0123456789abcdef"'\''|json -b40'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b1'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b2'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b3'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b4'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b5'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b6'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b7'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b8'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b9'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b10'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b11'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b12'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b13'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b14'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b15'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b16'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b17'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b18'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b19'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b20'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b21'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b22'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b23'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b24'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b25'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b26'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b27'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b28'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b29'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b30'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b31'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b32'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b33'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b34'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b35'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b36'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b37'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b38'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b38 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b38'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b39'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b39 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b39'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b40'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b40 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b40'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b41'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b41 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b41'

echo '$ echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b42'
echo -n 'r"0123456789abcdefg(foo)0123456789abcdefg"'|json -b42 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefg(foo)0123456789abcdefg"'\''|json -b42'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b1'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b1 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b1'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b2'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b2 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b2'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b3'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b3 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b3'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b4'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b4 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b4'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b5'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b5 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b5'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b6'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b6 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b6'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b7'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b7 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b7'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b8'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b8 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b8'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b9'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b9 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b9'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b10'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b10 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b10'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b11'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b11 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b11'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b12'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b12 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b12'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b13'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b13 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b13'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b14'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b14 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b14'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b15'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b15 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b15'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b16'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b16 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b16'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b17'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b17 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b17'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b18'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b18 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b18'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b19'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b19 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b19'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b20'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b20 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b20'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b21'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b21 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b21'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b22'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b22 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b22'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b23'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b23 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b23'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b24'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b24 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b24'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b25'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b25 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b25'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b26'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b26 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b26'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b27'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b27 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b27'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b28'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b28 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b28'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b29'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b29 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b29'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b30'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b30 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b30'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b31'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b31 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b31'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b32'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b32 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b32'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b33'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b33 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b33'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b34'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b34 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b34'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b35'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b35 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b35'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b36'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b36 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b36'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b37'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b37 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b37'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b38'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b38 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b38'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b39'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b39 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b39'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b40'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b40 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b40'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b41'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b41 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b41'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b42'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b42 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b42'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b43'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b43 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b43'

echo '$ echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b44'
echo -n 'r"0123456789abcdefgh(foo)0123456789abcdefgh"'|json -b44 2>&1 ||
echo 'command failed: echo -n '\''r"0123456789abcdefgh(foo)0123456789abcdefgh"'\''|json -b44'
)

